## Deletes a product list by id, optionally archiving it or removing only its header.

**delete** `/api/v2/public/stores/{store_number}/productlists`

Deletes a product list by id, optionally archiving it or removing only its header.

### Path Parameters

- `store_number: string`

### Query Parameters

- `product_list_id: number`

  The product list identifier to delete.

- `is_archived: optional boolean`

  When true, archives the product list instead of permanently deleting it.

- `is_delete_header: optional boolean`

  When true, deletes only the product list header (and its lines).

### Header Parameters

- `"Accept-Language": optional string`

- `api_key: optional string`

### Example

```http
curl https://api.colleqtive.net/api/v2/public/stores/$STORE_NUMBER/productlists \
    -X DELETE \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
```

#### Response

```json
true
```
